Synswi
  1. Fees
Synswi
  • Guides
    • Getting Started With the API
  • API Reference
    • Accounts
      • Onboarding forms
        • Create a Onboarding Form
      • Get profile
      • Create new profile
      • Register webhook
      • Get Accounts
    • Account Setting
      • Get account setting
      • Update account setting
    • Devices
      • Get Devices
    • Dispute
      • Get disputes
    • Payment instruments
      • Create a payment instrument
      • Get payment instruments
      • Get a payment instrument by id
      • Create a Payment Instrument
    • Transactions
      • Get a transaction by id
      • Get transactions
      • Create a transaction
      • Update a transaction
      • Refund a transaction
    • Fees
      • Get current fee profile
        GET
    • Settlements
      • get settlements
      • get settlement entries
    • Identity
      • Register an user
      • Login
      • Validate Token
      • Create an api key
      • List api keys
      • Get Users
    • Programs
      • Accounts
    • Permission
      • Verify user permissions
      • Get Account Users
      • List Accounts
    • Events
      • Get Events
  • Schemas
    • Additional Purchase Data
    • MFAMethod
    • MFASetupRequest
    • GetCurrentUserResponse
    • MFAVerifyRequest
    • MFASwitchMethodRequest
    • TokenInvalidErrorResponse
    • MFADisableRequest
    • TokenExpiredErrorResponse
    • MFAResendRequest
    • MFASetupEmailResponse
    • MFASetupAuthenticatorResponse
    • MFAVerifySetupResponse
    • MFASwitchResponse
    • MFALoginVerifyResponse
    • MFADisableInitResponse
    • MFAVerifyDisableResponse
    • MFAResendResponse
    • ErrorResponse
    • ValidationErrorResponse
    • InvalidPasswordErrorResponse
    • UserNotFoundErrorResponse
    • MFAAlreadyEnabledErrorResponse
    • MFANotEnabledErrorResponse
    • MFAMethodNotEnabledErrorResponse
    • MFATokenInvalidErrorResponse
    • MFATokenExpiredErrorResponse
    • MFAWrongPurposeErrorResponse
    • InvalidMFACodeErrorResponse
    • TooManyMFAAttemptsErrorResponse
    • TooManyMFAEmailsErrorResponse
    • AuthenticatorNotConfiguredErrorResponse
    • InvalidMFAMethodErrorResponse
    • ResendOnlyForEmailErrorResponse
    • MaxResendLimitErrorResponse
    • ResendCooldownErrorResponse
  1. Fees

Get current fee profile

GET
https://api-dev.synswi.com/fees/fee-profiles

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200OK
application/json
Body

Example
{
    "_id": "6789a978cb1110a931116623",
    "accountId": "acc-c068c34e-b12d-48b1-bc5f-c85edae9fc9b",
    "cardTransactionFee": {
        "onlineFlatFee": 10,
        "inPersonFlatFee": 20,
        "onlinePercentageBasisPoints": 200,
        "inPersonPercentageBasisPoints": 250
    },
    "achTransactionFee": {
        "minimumFee": 50,
        "maximumFee": 500,
        "percentageBasisPoints": 75
    },
    "id": "fee-profile-02ccc2da-2ae7-4575-b30b-c5af3dacd939",
    "createdAt": "2025-01-17T00:51:04.068Z"
}
Previous
Refund a transaction
Next
get settlements
Built with